List and filter stations
/v2/stationsAuthorization
api_key API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Query Parameters
Number of stations to return per page
501 <= value <= 100Cursor for pagination. Use the nextCursor from previous response
-9007199254740991 <= value <= 9007199254740991Search query to filter stations by name
Filter stations by linked procedure IDs
When true, includes the custom metadata object on each station in the response. Defaults to false to keep payloads small.
falseResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/stations"{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Assembly Station 1",
"procedures": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Assembly Test"
}
],
"procedures_count": 5,
"team": {
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Assembly Team"
},
"metadata": {
"vendor": "Acme",
"lot_size": 500,
"qualified": true
}
}
],
"meta": {
"has_more": true,
"next_cursor": 2
}
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Request timeout",
"code": "TIMEOUT",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?
Get current station GET
Get the station the request is authenticated as, with its linked procedures. See its parameters, response schema, and status codes.
Update station PATCH
Update a station name and/or image. Pass an empty string for image_id to remove the image. See its parameters, response schema, and status codes.